
_LCD_init:

;LCDv1.c,16 :: 		void LCD_init(void)
;LCDv1.c,18 :: 		Delay_ms(17);
	MOVLW       45
	MOVWF       R12, 0
	MOVLW       38
	MOVWF       R13, 0
L_LCD_init0:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_init0
	DECFSZ      R12, 1, 1
	BRA         L_LCD_init0
	NOP
;LCDv1.c,19 :: 		LCD_Write(0x30);
	MOVLW       48
	MOVWF       FARG_LCD_Write_Dat+0 
	CALL        _LCD_Write+0, 0
;LCDv1.c,20 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_LCD_init1:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_init1
	DECFSZ      R12, 1, 1
	BRA         L_LCD_init1
	NOP
	NOP
;LCDv1.c,21 :: 		LCD_Write(0x30);
	MOVLW       48
	MOVWF       FARG_LCD_Write_Dat+0 
	CALL        _LCD_Write+0, 0
;LCDv1.c,22 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_LCD_init2:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_init2
	DECFSZ      R12, 1, 1
	BRA         L_LCD_init2
	NOP
	NOP
;LCDv1.c,23 :: 		LCD_Write(0x30);
	MOVLW       48
	MOVWF       FARG_LCD_Write_Dat+0 
	CALL        _LCD_Write+0, 0
;LCDv1.c,24 :: 		Delay_ms(1);
	MOVLW       3
	MOVWF       R12, 0
	MOVLW       151
	MOVWF       R13, 0
L_LCD_init3:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_init3
	DECFSZ      R12, 1, 1
	BRA         L_LCD_init3
	NOP
	NOP
;LCDv1.c,25 :: 		LCD_Write(0x20);  //4 bit wide bus
	MOVLW       32
	MOVWF       FARG_LCD_Write_Dat+0 
	CALL        _LCD_Write+0, 0
;LCDv1.c,27 :: 		LCD_Send_Cmd(0x28);           //4bit wide bus 2 rows
	MOVLW       40
	MOVWF       FARG_LCD_Send_Cmd_CMD+0 
	CALL        _LCD_Send_Cmd+0, 0
;LCDv1.c,28 :: 		LCD_Send_Cmd(0x10);
	MOVLW       16
	MOVWF       FARG_LCD_Send_Cmd_CMD+0 
	CALL        _LCD_Send_Cmd+0, 0
;LCDv1.c,29 :: 		LCD_Send_Cmd(0x01);
	MOVLW       1
	MOVWF       FARG_LCD_Send_Cmd_CMD+0 
	CALL        _LCD_Send_Cmd+0, 0
;LCDv1.c,30 :: 		LCD_Send_Cmd(0x0F);
	MOVLW       15
	MOVWF       FARG_LCD_Send_Cmd_CMD+0 
	CALL        _LCD_Send_Cmd+0, 0
;LCDv1.c,32 :: 		LCD_Send_Cmd(LCD_CMD_Cursor_Off);
	MOVLW       12
	MOVWF       FARG_LCD_Send_Cmd_CMD+0 
	CALL        _LCD_Send_Cmd+0, 0
;LCDv1.c,33 :: 		LCD_Send_Cmd(LCD_CMD_Clear);
	MOVLW       1
	MOVWF       FARG_LCD_Send_Cmd_CMD+0 
	CALL        _LCD_Send_Cmd+0, 0
;LCDv1.c,34 :: 		Delay_ms(10);
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L_LCD_init4:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_init4
	DECFSZ      R12, 1, 1
	BRA         L_LCD_init4
	NOP
;LCDv1.c,35 :: 		}
L_end_LCD_init:
	RETURN      0
; end of _LCD_init

_LCD_Write:

;LCDv1.c,37 :: 		void LCD_Write(u8 Dat)
;LCDv1.c,39 :: 		SPI_DAT&=(LCD_RS_BIT|LCD_BackLight_BIT);
	MOVLW       9
	ANDWF       _SPI_DAT+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       _SPI_DAT+0 
;LCDv1.c,40 :: 		SPI_DAT|=(Dat&LCD_Data_Mask)|LCD_E_BIT;
	MOVLW       240
	ANDWF       FARG_LCD_Write_Dat+0, 0 
	MOVWF       R0 
	BSF         R0, 2 
	MOVF        R1, 0 
	IORWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       _SPI_DAT+0 
;LCDv1.c,41 :: 		PCF8574_Write(SPI_DAT);
	MOVF        R0, 0 
	MOVWF       FARG_PCF8574_Write_Data+0 
	CALL        _PCF8574_Write+0, 0
;LCDv1.c,42 :: 		Delay_us(5);
	MOVLW       3
	MOVWF       R13, 0
L_LCD_Write5:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_Write5
;LCDv1.c,43 :: 		SPI_DAT&=~LCD_E_BIT;
	MOVLW       251
	ANDWF       _SPI_DAT+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _SPI_DAT+0 
;LCDv1.c,44 :: 		PCF8574_Write(SPI_DAT);
	MOVF        R0, 0 
	MOVWF       FARG_PCF8574_Write_Data+0 
	CALL        _PCF8574_Write+0, 0
;LCDv1.c,45 :: 		Delay_us(5);
	MOVLW       3
	MOVWF       R13, 0
L_LCD_Write6:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_Write6
;LCDv1.c,46 :: 		}
L_end_LCD_Write:
	RETURN      0
; end of _LCD_Write

_LCD_Send_Cmd:

;LCDv1.c,47 :: 		void LCD_Send_Cmd(u8 CMD)
;LCDv1.c,49 :: 		Delay_ms(5);
	MOVLW       13
	MOVWF       R12, 0
	MOVLW       251
	MOVWF       R13, 0
L_LCD_Send_Cmd7:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_Send_Cmd7
	DECFSZ      R12, 1, 1
	BRA         L_LCD_Send_Cmd7
	NOP
	NOP
;LCDv1.c,50 :: 		SPI_DAT&=~LCD_RS_BIT;
	BCF         _SPI_DAT+0, 0 
;LCDv1.c,51 :: 		LCD_Write((CMD&0xF0));
	MOVLW       240
	ANDWF       FARG_LCD_Send_Cmd_CMD+0, 0 
	MOVWF       FARG_LCD_Write_Dat+0 
	CALL        _LCD_Write+0, 0
;LCDv1.c,52 :: 		LCD_Write(((CMD&0x0F)<<4));
	MOVLW       15
	ANDWF       FARG_LCD_Send_Cmd_CMD+0, 0 
	MOVWF       FARG_LCD_Write_Dat+0 
	RLCF        FARG_LCD_Write_Dat+0, 1 
	BCF         FARG_LCD_Write_Dat+0, 0 
	RLCF        FARG_LCD_Write_Dat+0, 1 
	BCF         FARG_LCD_Write_Dat+0, 0 
	RLCF        FARG_LCD_Write_Dat+0, 1 
	BCF         FARG_LCD_Write_Dat+0, 0 
	RLCF        FARG_LCD_Write_Dat+0, 1 
	BCF         FARG_LCD_Write_Dat+0, 0 
	CALL        _LCD_Write+0, 0
;LCDv1.c,53 :: 		}
L_end_LCD_Send_Cmd:
	RETURN      0
; end of _LCD_Send_Cmd

_LCD_SetPosition:

;LCDv1.c,55 :: 		void LCD_SetPosition(u8 row, u8 colum)
;LCDv1.c,57 :: 		u8 position = 0x80;
	MOVLW       128
	MOVWF       LCD_SetPosition_position_L0+0 
;LCDv1.c,58 :: 		if (row > 0) { position |= 0x40;}
	MOVF        FARG_LCD_SetPosition_row+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_LCD_SetPosition8
	BSF         LCD_SetPosition_position_L0+0, 6 
L_LCD_SetPosition8:
;LCDv1.c,59 :: 		LCD_Send_Cmd(position | colum);
	MOVF        FARG_LCD_SetPosition_colum+0, 0 
	IORWF       LCD_SetPosition_position_L0+0, 0 
	MOVWF       FARG_LCD_Send_Cmd_CMD+0 
	CALL        _LCD_Send_Cmd+0, 0
;LCDv1.c,60 :: 		}
L_end_LCD_SetPosition:
	RETURN      0
; end of _LCD_SetPosition

_LCD_WriteData:

;LCDv1.c,62 :: 		void LCD_WriteData(u8 dat)
;LCDv1.c,64 :: 		Delay_us(50);
	MOVLW       33
	MOVWF       R13, 0
L_LCD_WriteData9:
	DECFSZ      R13, 1, 1
	BRA         L_LCD_WriteData9
;LCDv1.c,65 :: 		SPI_DAT|=LCD_RS_BIT;
	BSF         _SPI_DAT+0, 0 
;LCDv1.c,66 :: 		LCD_Write((dat&0xF0));
	MOVLW       240
	ANDWF       FARG_LCD_WriteData_dat+0, 0 
	MOVWF       FARG_LCD_Write_Dat+0 
	CALL        _LCD_Write+0, 0
;LCDv1.c,67 :: 		LCD_Write(((dat&0x0F)<<4));
	MOVLW       15
	ANDWF       FARG_LCD_WriteData_dat+0, 0 
	MOVWF       FARG_LCD_Write_Dat+0 
	RLCF        FARG_LCD_Write_Dat+0, 1 
	BCF         FARG_LCD_Write_Dat+0, 0 
	RLCF        FARG_LCD_Write_Dat+0, 1 
	BCF         FARG_LCD_Write_Dat+0, 0 
	RLCF        FARG_LCD_Write_Dat+0, 1 
	BCF         FARG_LCD_Write_Dat+0, 0 
	RLCF        FARG_LCD_Write_Dat+0, 1 
	BCF         FARG_LCD_Write_Dat+0, 0 
	CALL        _LCD_Write+0, 0
;LCDv1.c,68 :: 		}
L_end_LCD_WriteData:
	RETURN      0
; end of _LCD_WriteData

_LCD_BackLight:

;LCDv1.c,70 :: 		void LCD_BackLight (unsigned char State)
;LCDv1.c,72 :: 		if (State)  SPI_DAT|=LCD_BackLight_BIT;
	MOVF        FARG_LCD_BackLight_State+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_BackLight10
	BSF         _SPI_DAT+0, 3 
	GOTO        L_LCD_BackLight11
L_LCD_BackLight10:
;LCDv1.c,73 :: 		else   SPI_DAT&=~LCD_BackLight_BIT;
	BCF         _SPI_DAT+0, 3 
L_LCD_BackLight11:
;LCDv1.c,74 :: 		}
L_end_LCD_BackLight:
	RETURN      0
; end of _LCD_BackLight

_LCD_PrintChar:

;LCDv1.c,76 :: 		void LCD_PrintChar(char Data)
;LCDv1.c,78 :: 		if (Data=='\n') LCD_Send_Cmd(0x80|0x40);
	MOVF        FARG_LCD_PrintChar_Data+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L_LCD_PrintChar12
	MOVLW       192
	MOVWF       FARG_LCD_Send_Cmd_CMD+0 
	CALL        _LCD_Send_Cmd+0, 0
	GOTO        L_LCD_PrintChar13
L_LCD_PrintChar12:
;LCDv1.c,79 :: 		else LCD_WriteData(Data);
	MOVF        FARG_LCD_PrintChar_Data+0, 0 
	MOVWF       FARG_LCD_WriteData_dat+0 
	CALL        _LCD_WriteData+0, 0
L_LCD_PrintChar13:
;LCDv1.c,80 :: 		}
L_end_LCD_PrintChar:
	RETURN      0
; end of _LCD_PrintChar

_LCD_PrintString:

;LCDv1.c,82 :: 		void LCD_PrintString(char * string)
;LCDv1.c,84 :: 		while (*string) LCD_PrintChar(*string++);
L_LCD_PrintString14:
	MOVFF       FARG_LCD_PrintString_string+0, FSR0
	MOVFF       FARG_LCD_PrintString_string+1, FSR0H
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_PrintString15
	MOVFF       FARG_LCD_PrintString_string+0, FSR0
	MOVFF       FARG_LCD_PrintString_string+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_LCD_PrintChar_Data+0 
	CALL        _LCD_PrintChar+0, 0
	INFSNZ      FARG_LCD_PrintString_string+0, 1 
	INCF        FARG_LCD_PrintString_string+1, 1 
	GOTO        L_LCD_PrintString14
L_LCD_PrintString15:
;LCDv1.c,85 :: 		}
L_end_LCD_PrintString:
	RETURN      0
; end of _LCD_PrintString

_LCD_PrintStringLen:

;LCDv1.c,87 :: 		void LCD_PrintStringLen(char * string, unsigned char Len)
;LCDv1.c,89 :: 		while (Len--) LCD_PrintChar(*string++);
L_LCD_PrintStringLen16:
	MOVF        FARG_LCD_PrintStringLen_Len+0, 0 
	MOVWF       R0 
	DECF        FARG_LCD_PrintStringLen_Len+0, 1 
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_LCD_PrintStringLen17
	MOVFF       FARG_LCD_PrintStringLen_string+0, FSR0
	MOVFF       FARG_LCD_PrintStringLen_string+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_LCD_PrintChar_Data+0 
	CALL        _LCD_PrintChar+0, 0
	INFSNZ      FARG_LCD_PrintStringLen_string+0, 1 
	INCF        FARG_LCD_PrintStringLen_string+1, 1 
	GOTO        L_LCD_PrintStringLen16
L_LCD_PrintStringLen17:
;LCDv1.c,90 :: 		}
L_end_LCD_PrintStringLen:
	RETURN      0
; end of _LCD_PrintStringLen

_LCD_PrintHEX_Byte:

;LCDv1.c,92 :: 		void LCD_PrintHEX_Byte (unsigned char HexValue)
;LCDv1.c,94 :: 		char String[5]="0x";
	MOVLW       48
	MOVWF       LCD_PrintHEX_Byte_String_L0+0 
	MOVLW       120
	MOVWF       LCD_PrintHEX_Byte_String_L0+1 
	CLRF        LCD_PrintHEX_Byte_String_L0+2 
	CLRF        LCD_PrintHEX_Byte_String_L0+3 
	CLRF        LCD_PrintHEX_Byte_String_L0+4 
;LCDv1.c,95 :: 		ClearString(String+2,3,0);
	MOVLW       LCD_PrintHEX_Byte_String_L0+2
	MOVWF       FARG_ClearString_String+0 
	MOVLW       hi_addr(LCD_PrintHEX_Byte_String_L0+2)
	MOVWF       FARG_ClearString_String+1 
	MOVLW       3
	MOVWF       FARG_ClearString_Len+0 
	CLRF        FARG_ClearString_Data+0 
	CALL        _ClearString+0, 0
;LCDv1.c,96 :: 		ValueToStringHEX_Byte(HexValue, String+2);
	MOVF        FARG_LCD_PrintHEX_Byte_HexValue+0, 0 
	MOVWF       FARG_ValueToStringHEX_Byte_Value+0 
	MOVLW       LCD_PrintHEX_Byte_String_L0+2
	MOVWF       FARG_ValueToStringHEX_Byte_String+0 
	MOVLW       hi_addr(LCD_PrintHEX_Byte_String_L0+2)
	MOVWF       FARG_ValueToStringHEX_Byte_String+1 
	CALL        _ValueToStringHEX_Byte+0, 0
;LCDv1.c,97 :: 		LCD_PrintString(String);
	MOVLW       LCD_PrintHEX_Byte_String_L0+0
	MOVWF       FARG_LCD_PrintString_string+0 
	MOVLW       hi_addr(LCD_PrintHEX_Byte_String_L0+0)
	MOVWF       FARG_LCD_PrintString_string+1 
	CALL        _LCD_PrintString+0, 0
;LCDv1.c,98 :: 		}
L_end_LCD_PrintHEX_Byte:
	RETURN      0
; end of _LCD_PrintHEX_Byte

_LCD_PrintValue_uChar:

;LCDv1.c,100 :: 		void LCD_PrintValue_uChar (unsigned char Value)
;LCDv1.c,103 :: 		ClearString(String,4,0);
	MOVLW       LCD_PrintValue_uChar_String_L0+0
	MOVWF       FARG_ClearString_String+0 
	MOVLW       hi_addr(LCD_PrintValue_uChar_String_L0+0)
	MOVWF       FARG_ClearString_String+1 
	MOVLW       4
	MOVWF       FARG_ClearString_Len+0 
	CLRF        FARG_ClearString_Data+0 
	CALL        _ClearString+0, 0
;LCDv1.c,104 :: 		uCharToStr(Value, String);
	MOVF        FARG_LCD_PrintValue_uChar_Value+0, 0 
	MOVWF       FARG_uCharToStr_Value+0 
	MOVLW       LCD_PrintValue_uChar_String_L0+0
	MOVWF       FARG_uCharToStr_String+0 
	MOVLW       hi_addr(LCD_PrintValue_uChar_String_L0+0)
	MOVWF       FARG_uCharToStr_String+1 
	CALL        _uCharToStr+0, 0
;LCDv1.c,105 :: 		LCD_PrintString(String);
	MOVLW       LCD_PrintValue_uChar_String_L0+0
	MOVWF       FARG_LCD_PrintString_string+0 
	MOVLW       hi_addr(LCD_PrintValue_uChar_String_L0+0)
	MOVWF       FARG_LCD_PrintString_string+1 
	CALL        _LCD_PrintString+0, 0
;LCDv1.c,106 :: 		}
L_end_LCD_PrintValue_uChar:
	RETURN      0
; end of _LCD_PrintValue_uChar

_LCD_PrintValue_uLong:

;LCDv1.c,108 :: 		void LCD_PrintValue_uLong (unsigned long Value)
;LCDv1.c,111 :: 		ClearString(String,11,0);
	MOVLW       LCD_PrintValue_uLong_String_L0+0
	MOVWF       FARG_ClearString_String+0 
	MOVLW       hi_addr(LCD_PrintValue_uLong_String_L0+0)
	MOVWF       FARG_ClearString_String+1 
	MOVLW       11
	MOVWF       FARG_ClearString_Len+0 
	CLRF        FARG_ClearString_Data+0 
	CALL        _ClearString+0, 0
;LCDv1.c,112 :: 		uLongToStr(Value, String);
	MOVF        FARG_LCD_PrintValue_uLong_Value+0, 0 
	MOVWF       FARG_uLongToStr_Value+0 
	MOVF        FARG_LCD_PrintValue_uLong_Value+1, 0 
	MOVWF       FARG_uLongToStr_Value+1 
	MOVF        FARG_LCD_PrintValue_uLong_Value+2, 0 
	MOVWF       FARG_uLongToStr_Value+2 
	MOVF        FARG_LCD_PrintValue_uLong_Value+3, 0 
	MOVWF       FARG_uLongToStr_Value+3 
	MOVLW       LCD_PrintValue_uLong_String_L0+0
	MOVWF       FARG_uLongToStr_String+0 
	MOVLW       hi_addr(LCD_PrintValue_uLong_String_L0+0)
	MOVWF       FARG_uLongToStr_String+1 
	CALL        _uLongToStr+0, 0
;LCDv1.c,113 :: 		LCD_PrintString(String);
	MOVLW       LCD_PrintValue_uLong_String_L0+0
	MOVWF       FARG_LCD_PrintString_string+0 
	MOVLW       hi_addr(LCD_PrintValue_uLong_String_L0+0)
	MOVWF       FARG_LCD_PrintString_string+1 
	CALL        _LCD_PrintString+0, 0
;LCDv1.c,114 :: 		}
L_end_LCD_PrintValue_uLong:
	RETURN      0
; end of _LCD_PrintValue_uLong

_LCD_PrintValue_sChar:

;LCDv1.c,116 :: 		void LCD_PrintValue_sChar (signed char Value)
;LCDv1.c,119 :: 		ClearString(String,5,0);
	MOVLW       LCD_PrintValue_sChar_String_L0+0
	MOVWF       FARG_ClearString_String+0 
	MOVLW       hi_addr(LCD_PrintValue_sChar_String_L0+0)
	MOVWF       FARG_ClearString_String+1 
	MOVLW       5
	MOVWF       FARG_ClearString_Len+0 
	CLRF        FARG_ClearString_Data+0 
	CALL        _ClearString+0, 0
;LCDv1.c,120 :: 		sCharToStr(Value, String);
	MOVF        FARG_LCD_PrintValue_sChar_Value+0, 0 
	MOVWF       FARG_sCharToStr_Value+0 
	MOVLW       LCD_PrintValue_sChar_String_L0+0
	MOVWF       FARG_sCharToStr_String+0 
	MOVLW       hi_addr(LCD_PrintValue_sChar_String_L0+0)
	MOVWF       FARG_sCharToStr_String+1 
	CALL        _sCharToStr+0, 0
;LCDv1.c,121 :: 		LCD_PrintString(String);
	MOVLW       LCD_PrintValue_sChar_String_L0+0
	MOVWF       FARG_LCD_PrintString_string+0 
	MOVLW       hi_addr(LCD_PrintValue_sChar_String_L0+0)
	MOVWF       FARG_LCD_PrintString_string+1 
	CALL        _LCD_PrintString+0, 0
;LCDv1.c,122 :: 		}
L_end_LCD_PrintValue_sChar:
	RETURN      0
; end of _LCD_PrintValue_sChar

_LCD_PrintValue_sLong:

;LCDv1.c,124 :: 		void LCD_PrintValue_sLong (signed long Value)
;LCDv1.c,127 :: 		ClearString(String,12,0);
	MOVLW       LCD_PrintValue_sLong_String_L0+0
	MOVWF       FARG_ClearString_String+0 
	MOVLW       hi_addr(LCD_PrintValue_sLong_String_L0+0)
	MOVWF       FARG_ClearString_String+1 
	MOVLW       12
	MOVWF       FARG_ClearString_Len+0 
	CLRF        FARG_ClearString_Data+0 
	CALL        _ClearString+0, 0
;LCDv1.c,128 :: 		sLongToStr(Value, String);
	MOVF        FARG_LCD_PrintValue_sLong_Value+0, 0 
	MOVWF       FARG_sLongToStr_Value+0 
	MOVF        FARG_LCD_PrintValue_sLong_Value+1, 0 
	MOVWF       FARG_sLongToStr_Value+1 
	MOVF        FARG_LCD_PrintValue_sLong_Value+2, 0 
	MOVWF       FARG_sLongToStr_Value+2 
	MOVF        FARG_LCD_PrintValue_sLong_Value+3, 0 
	MOVWF       FARG_sLongToStr_Value+3 
	MOVLW       LCD_PrintValue_sLong_String_L0+0
	MOVWF       FARG_sLongToStr_String+0 
	MOVLW       hi_addr(LCD_PrintValue_sLong_String_L0+0)
	MOVWF       FARG_sLongToStr_String+1 
	CALL        _sLongToStr+0, 0
;LCDv1.c,129 :: 		LCD_PrintString(String);
	MOVLW       LCD_PrintValue_sLong_String_L0+0
	MOVWF       FARG_LCD_PrintString_string+0 
	MOVLW       hi_addr(LCD_PrintValue_sLong_String_L0+0)
	MOVWF       FARG_LCD_PrintString_string+1 
	CALL        _LCD_PrintString+0, 0
;LCDv1.c,130 :: 		}
L_end_LCD_PrintValue_sLong:
	RETURN      0
; end of _LCD_PrintValue_sLong
